Viewport Scale

Good Sunday afternoon,

I currently apply the scale of a viewport by clicking on the edge of the viewport and opening "properties" and setting the scale there. I would rather have a tool I can put on the "View" toolbar adjacent to the "Viewport" tool. Is there such a tool that would offer a fly-out with a list of all available scales or perhaps just a better way than I'm using now?

All suggestions will be greatly appreciated.

Thanks,
Russell

Comments

  • You could make your own custom tool that includes whatever scales you want.
    It's best to do it in a custom "partial" CUI file, which is attached to the main CUI file.
    That's so you won't lose it when you install a new version of Brics with a new CUI file.

    The attached file shows an example of how I do it, using the SVP custom command below.
    I do it as a pull-down menu, but I think toolbar items are defined in a similar way.
    For each item, I show the actual scale factor, then the scale's name, then the text size for that scale.
    So, in addition to being a bunch of commands, it's also a handy pull-down chart of useful information.

    ;;; Viewport scale factor command (works even if viewport is locked) ;;; Create a custom menu or sub-menu or Partial CUI file called "Scale" ;;; and fill it with custom tools created in this format: ;;; Title: 1" = 20' (240) Command: SVP;240 ;;; ------------------------------------------------------------------------------ (defun c:SVP (/ NotPS NoSS SF SFI ss1 N vpN ObjN) (defun NotPS () (prompt "\nOnly works in Paperspace. ") (exit) ) (if (> (getvar "CVPORT") 1) (NotPS) ) ;; CVport: Pspace=1; Mspace=2; Vport=2+ (initget 7) ; prevents Negative, Zero, or Null input (setq SF (getreal "Scale Factor: ")) (setq SFI (/ 1.0 SF)) (defun NoSS () (princ "\nNo viewport selected. ") (exit) ) (setq ss1 (ssget '((0 . "VIEWPORT")) ) ) ; selection filtered - viewports only (if (not ss1) (NoSS)) (setq N 0) (while (< N (sslength ss1) ) (setq vpN (ssname ss1 N) ) (setq ObjN (vlax-ename->vla-object vpN)) (Vla-Put-CustomScale ObjN SFI) (setq N (+ N 1)) ) ; (sssetfirst nil ss1) )

  • Thanks Anthony but I'm afraid that's too advanced for the knowledge I have.

    Thanks for taking the time to help,
    Russell